Subject: Re: [PATCH 0/4] fix make sparse warning

From: Danh Doan <[email-masked]>
Date: Sun, 26 Apr 2020 10:32:01 +0700

On 2020-04-25 15:13:53+0200, Johannes Schindelin <[email-masked]> wrote:
> Hi Danh,
> 
> On Thu, 23 Apr 2020, Đoàn Trần Công Danh wrote:
> 
> > It's happened that I tried to run make check on project that support autoconf.
> > Git's Makefile told me to run `make sparse` instead.
> >
> > I /think/ if we have a rule in Makefile, we should adhere to it.
> > I also fix another change in ds/blame-on-bloom, which I think it's worth to
> > fix, see: <[email-masked]>
> 
> FWIW there is still an Azure Pipeline building `sparse` for Ubuntu every
> two weeks: https://dev.azure.com/git/git/_build?definitionId=10&_a=summary
> 
> I created this Pipeline in order to support the proposed project at
> https://github.com/gitgitgadget/git/issues/345 which is: teach our CI
> builds to run `make sparse`.
> 
> Maybe it is time to tackle that?

I don't think it's ready, yet!

May be it's.

But we'll need

	make sparse |
	grep -v -e 'plain integer as NULL pointer' \
		-e 'redeclared with different type'

The first one for:

	struct foo val = { 0 };

to zero structure.

The second one for different in declaration and definition (which is
fixed in sparse's master).

-- 
Danh